# sciam

This project containst the code for the sciam website, a database of Scientific American Early American Mechanical Drawings.
See: [SCIAM](http://sciam.wpi.edu)

How does this work?
Right now we have a website, hosted by WPI, running on sciam.wpi.edu. We were given a 'server' which is basically a computer that runs all of the code and stores all the files for our site. So whenever you visit sciam.wpi.edu you actually send a message to this server and the server executes some code and sends back the website page you requested. The 'server' is actually a virtual server, which means it is not a physical machine. Instead WPI has a bunch of computers (think desktop computer tower) connected and WPI runs 'virtual machines' on them. What is a virtual machine? It's basically a computer, but instead of using all of the resources on the physical computer we partition a certain amount of the computer's resources for the virtual machine. Our virtual machine runs the operating system Ubuntu (linux based). This allows us to use an SSH client (like PuTTY) to execute terminal commands on the server. What should you get out of this? We have a little heirarchy…

### domain: sciam.wpi.edu
### virtual server: running ubuntu
### physical computer: stored somewhere on WPI campus

the domain is what people use to access our site
the virtual server allows us to control our site
and the physical computer is where everything is physically stored on a hard drive (or ssd)


## How do I access it?
Download latest version of PuTTY to execute terminal commands on the server (ex. runserver)
### In PuTTY:
	Host Name (or IP Address): sciam.wpi.edu
	Click open
	If the following window is displayed, click yes.

	username: bflanagan
	password: ****************
  run the following commands to start the server (after opening a new session of PuTTY):

    bflanagan@sciam:~$ sudo bash  
    [sudo] password for bflanagan: ****************  
 sudo bash is open
 
    root@sciam: ~# screen -r  
  OR 
  
    root@sciam: ~# screen -d -r [screen number]  
    root@sciam: ~/sciamproject/sciamproject # python manage.py runserver 0.0.0.0:80  
  
use screen -d -r [screen number] when you get an error like the following after running screen -r:

  There is a screen on:  
        		  29088.pts-0.sciam       (01/15/2019 04:26:38 PM)        (Attached)  
  There is no screen to be resumed.  

In this case the screen number is 29088.
A screen is basically a constantly running terminal session, which allows us to terminate our PuTTY sessions but still keep our django webserver running on sciam.wpi.edu


## run the following commands to stop the server (after opening a new session of PuTTY):
	
     bflanagan@sciam:~$ sudo bash  
     [sudo] password for bflanagan: ****************  
import sys
     root@sciam: ~# screen -r  
     root@sciam: ~/sciamproject/sciamproject # ^C  
     ^C → CTRL + C  

## Download an SFTP/FTP Client like WinSCP to access the files on the server

In WinSCP:

	LOGIN

Session:

File Protocol: SFTP

Host name: sciam.wpi.edu

Port number: 22

username: bflanagan

password: HB0-XNY-wNy-7Jn

click login

If the following window is displayed, click yes

	navigate to the /home/bflanagan/sciamproject/sciamproject/ directory
	now you can access all files that have to do with the site


## gui_dev 
My name is Aaron 

