# -*- coding: utf-8 -*-


################################################################################
# SUBJECTS #####################################################################
################################################################################
SUBJECTS = ("Agricultural Implements and Operations",
        "Metallurgy and Manufacture of Metals",
        "Manufacture of Fibrous and Textile Substances",
        "Chemical Process, Manufacture and Composition",
        "Calorifics, Lamps, Stoves, etc",
        "Steam and Gas Engines",
        "Navigation and Maritime Implements",
        "Mathematical, Philosophical, and Optical Instruments",
        "Civil Engineering and Architecture",
        "Land Conveyance",
        "Hydraulics and Pneumatics",
        "Lever, Screw, and other Mechanical Power",
        "Grinding Mills and Mill Gearing",
        "Lumber, Machines for Manufacturing",
        "Stone and Clay Manufactures",
        "Leather -- Tanning, Dressing and Manufacturing",
        "Household Furniture",
        "Arts -- Fine, Polite and Ornamental",
        "Fire arms and Implements of War",
        "Surgical and Medical Instruments",
        "Wearing Apparel and Implements for Manufacturing",
        "Electrical Powered Devices",
        "Aerial Navigation",
        "Education and Instructional",
        "Miscellaneous")

################################################################################
# TOPICS #######################################################################
################################################################################
TOPICS = ["id",
        "title", 
        "date__year",
        "image_description", 
        "artist", 
        "article_summary", 
        "inventor", 
        "author", 
        "patented", 
        "subject", 
        "keywords", 
        "publication", 
        "date", 
        "volume", 
        "issue", 
        "page", 
        "series", 
        "people_involved", 
        "url"]

TOPICS_STR = ["ID Number",
        "Title", 
        "Year",
        "Image Description", 
        "Artist", 
        "Article Summary", 
        "Inventor", 
        "Author", 
        "Patented", 
        "Subject", 
        "Keywords", 
        "Publication",
        "Date", 
        "Volume", 
        "Issue", 
        "Page", 
        "Series", 
        "People Involved", 
        "URL"]

################################################################################
# YEARS #######################################################################
################################################################################
YEARS = ("1845",
        "1846",
        "1847",
        "1848",
        "1849",
        "1850",
        "1851",
        "1852",
        "1853",
        "1854",
        "1855",
        "1856",
        "1857",
        "1858",
        "1859",
        "1860",
        "1861",
        "1862",
        "1863",
        "1864",
        "1865",
        "1866",
        "1867",
        "1868",
        "1869")


################################################################################
# SEARCH TYPES #################################################################
################################################################################
SEARCH_TYPES = ("__contains",
                "__exact"
                "__startswith",
                "__endswith")
                
SEARCH_TYPES_STR = ("Contains",
                "Equals",
                "Starts With",
                "Ends With")